function VueNouveauSalon()	{ }

VueNouveauSalon.prototype=new Vue();

VueNouveauSalon.prototype.init=function (app,name) {
	// Appel de la fonction parente
	Vue.prototype.init.bind(this)(app,name);
	// référencement des zone dynamiques
	this.champs=document.querySelector('div.vue.choisie input[type="text"]');
	// Enregistrement des commandes de la vue
	this.commande('envoi');
	// ajout de l'écouteur de messages websockets
	this.app.connexionWS.onmessage=this.message.bind(this);
}

VueNouveauSalon.prototype.envoi=function (event, params) {
	this.app.connexionWS.send(JSON.stringify({'type':'nouveau','nom':this.champs.value}));
}

VueNouveauSalon.prototype.message=function (event) {
	var réponse=JSON.parse(event.data);
	if((!réponse.type))
		throw Error('Message innatendu de la part du serveur.');
	if('nouveau'==réponse.type) {
		this.app.montrerVue('Salons');
	}
}

VueNouveauSalon.prototype.uninit=function (app) {
	this.champs.value='';
	Vue.prototype.uninit.bind(this)();
}
