var define=(function() {
	// objet contenant les scripts en chargement
	var scripts={};
	function define(identifiant,dépendances,fonctionRetour) {
		// on ajoute / met à jour l'objet correspondant à l'identifiant
		if(!scripts[identifiant])
			scripts[identifiant]={};
		scripts[identifiant].chargé=true;
		scripts[identifiant].exécuté=false;
		scripts[identifiant].dépendances=dépendances;
		scripts[identifiant].fonctionRetour=fonctionRetour;
		// on ajoute les dépendances définies par le
		// module et on lance leur chargement
		for(var i=dépendances.length-1; i>=0; i--) {
			if(!scripts[dépendances[i]])
				scripts[dépendances[i]]={};
			scripts[dépendances[i]].chargé=false;
			scripts[dépendances[i]].exécuté=false;
			var s=document.createElement('script');
			s.setAttribute('type','text/javascript');
			s.setAttribute('src','javascript/'+dépendances[i]+'.js');
			document.body.appendChild(s);
		}
		// on itère sur tous les scripts pour résoudre les dépendances
		// tant qu'un script a pu être exécuté, on essaie d'en exécuter
		// d'autres
		var exécution=true;
		while(exécution) {
			exécution=false;
			// on itère sur chaque script
			for(script in scripts) {
				// on vérifie que toutes les dépendances sont ok
				if(scripts[script].chargé
					&&false===scripts[script].exécuté
					&&(0==scripts[script].dépendances.length
					||scripts[script].dépendances.every(function(dépendance) {
						return scripts[dépendance].chargé&&scripts[dépendance].exécuté;
					}))) {
					// si oui, on exécute le callback et on stocke la valeur de retour
					scripts[script].exécuté=true;
					exécution=true;
					scripts[script].module=scripts[script].fonctionRetour.apply({},
						scripts[script].dépendances.map(function(dépendance){
							return scripts[dépendance].module;
					}));
				}
			}
		}
	}
	define.amd=true;
	return define;
})();