// AMD + global
(function(root,define){ define(['Vue'], function (Vue) {

	function VueOptions() { }

	VueOptions.prototype=new Vue();

	VueOptions.prototype.init=function (app,name) {
		Vue.prototype.init.bind(this)(app,name);
		this.commande('envoi');
		document.getElementById('sons').value=(this.app.sons.coupé?0:1);
		document.getElementById('sons').checked=(document.fullscreenElement
			||document.mozFullScreenElement||document.webkitFullscreenElement);
	};

	VueOptions.prototype.envoi=function (event, params) {
		var muter=(parseInt(event.target[0].value,10)?false:true);
		this.app.sons.mute(muter);
		try {
			if(window.localStorage)
				window.localStorage.sonCoupé=(muter?'true':'');
		} catch(e) {}
		// Si plein écran on l'active
		if(event.target[1].checked) {
			// on vérifie si le plein écran n'est pas déjà activé
			if((!document.fullscreenElement)&&(!document.mozFullScreenElement)
				&&!document.webkitFullscreenElement) {
				// auquel cas, on passe au mode plein écran
				if(document.documentElement.requestFullscreen)
					document.documentElement.requestFullscreen();
				else if(document.documentElement.mozRequestFullScreen)
					document.documentElement.mozRequestFullScreen();
				else if(document.documentElement.webkitRequestFullscreen)
					document.documentElement.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
			}
		}
		// on vérifie si le plein écran est activé
		else if(document.fullscreenElement||document.mozFullScreenElement
			||document.webkitFullscreenElement) {
			// auquel cas, on passe enlève le mode plein écran
			if(document.cancelFullScreen)
				document.cancelFullScreen();
			else if(document.mozCancelFullScreen)
				document.mozCancelFullScreen();
			else if(document.webkitCancelFullScreen)
				document.webkitCancelFullScreen();
		}
		this.app.montrerVue('Accueil');
	};

	return VueOptions;

});})(this,typeof define === 'function' && define.amd ? define : function (name, deps, factory) {
	this[name.substring(name.lastIndexOf('/')+1)]=factory.apply(this, deps.map(function(dep){
		return this[dep.substring(dep.lastIndexOf('/')+1)];
	}));
});
