// variables contenant les données des images
var donnéesImage1=null, donnéesImage2=null,
// variable contenant le timeout
	timeout=null,
// constante de réglable du % de différence
	DIFFERENCE_MINI=7;

// fonction de comparaison des images
function compareImages() {
	// on compare les données des images dans les deux sens
	// avec un delta de 0 à 15 pixels en x
	for(var dx=0; dx<15; dx++) {
		// et un delta de 0 à 15 pixels en y
		for(var dy=0; dy<15; dy++) {
			if(!(donnéesDistinctes(donnéesImage1,donnéesImage2,dx,dy)
				&&donnéesDistinctes(donnéesImage2,donnéesImage1,dx,dy))) {
				postMessage('pasok');
				return;
			}
		}
	}
	postMessage('ok');
}

// fonction de comparaison des données
function donnéesDistinctes(données1,données2,dx,dy) {
	var nbDifferences=0;
	// on itère sur chaque pixel
	for(var x=dx; x<90; x++) {
		for(var y=dy; y<90; y++) {
			// on itère sur chaque canal de couleur
			for(var i=0; i<3;	i++)
				if(données1[(x*90*4)+(y*4)+i]<données2[(x*90*4)+(y*4)+i]-5
					&&données1[(x*90*4)+(y*4)+i]>données2[(x*90*4)+(y*4)+i]+5)
					nbDifferences++;
			// vérification plus large pour la transparence
			if(données1[(x*90*4)+(y*4)+i]<données2[(x*90*4)+(y*4)+i]-10
				||données1[(x*90*4)+(y*4)+i]>données2[(x*90*4)+(y*4)+i]+10)
				nbDifferences++;
		}
	}
	postMessage('Différences'+nbDifferences+'/'+(((90-dx)*(90-dy)*4*DIFFERENCE_MINI)/100));
	postMessage('dx'+dx);
	postMessage('dy'+dy);
	if(nbDifferences<(((90-dx)*(90-dy)*4*DIFFERENCE_MINI)/100))
		return false
	return true;
}
 
// on écoute les messages venus du thread principal
onmessage = function (event) {
	if(event.data) {
		var données=JSON.parse(event.data);
		if(1==données.image) {
			donnéesImage1=données.données;
		} else if(2==données.image) {
			donnéesImage2=données.données;
		}
		postMessage('Msg:'+données.image);
		// si on a des données pour les deux images
		// on programme une comparaison
		if(timeout)
			clearTimeout(timeout);
		timeout=setTimeout(compareImages,2000);
	}
};
