// Fichier journaliseur.js
define('journaliseur',['fifoFile'],function(FifoFile) {
	// création du constructeur de journalisation
	function Journaliseur(objet,nomFonction,console) {
		var fonctionOriginale=objet[nomFonction],
			logTimeout=0,
			fileMessages=new FifoFile();
		this.début=function() {
			objet[nomFonction]=function() {
				// arrêt du timer si existe
				logTimeout&&clearTimeout(logTimeout);
				// ajout du message à la file
				fileMessages.push(nomFonction+' : '
					+Array.prototype.slice
						.call(arguments,0).join(','));
				// exécution de la fonction originale
				fonctionOriginale.apply(objet,arguments);
				// programmation de la journalisation
				logTimeout=setTimeout(function() {
					var msg;
					while(msg=fileMessages.shift())
						console.log(msg);
				},3000);
			};
		};
		this.fin=function() {
			objet[nomFonction]=fonctionOriginale;
		};
	}
	// export du journaliseur
	return Journaliseur;
});