// Fichier fifoFile.js
// on assigne à exports notre constructeur FifoFile
exports.FifoFile = function() {
	var fonctions=(function(args) {
		var _tableau=[];
		_tableau.push.apply(_tableau,args);
		return [function() {
				return _tableau.push
					.apply(_tableau,arguments);
			}, function() {
				return _tableau.shift
					.apply(_tableau,arguments);
			}, function() {
				return _tableau.length;
			}, function(n) {
				return _tableau.length=n;
			}];
		})(arguments);
	this.push=fonctions[0];
	this.shift=fonctions[1];
	Object.defineProperty(this, 'length', {
		get : fonctions[2],
		set : fonctions[3],
		writeable : true,
		enumerable : false,
		configurable : false
	});
};
