var casper = require("casper").create({
    verbose: true,
    logLevel: "debug"
});
var utilisateur='Utilisateur'+(Math.round(Math.random()*100));

casper.on('resource.requested', function(msg) {
    this.log('Resource:'+msg.url);
});

casper.on("page.error", function(msg, trace) {
  this.echo("Error:    " + msg, "ERROR");
  this.echo("file:     " + trace[0].file, "WARNING");
  this.echo("line:     " + trace[0].line, "WARNING");
  this.echo("function: " + trace[0]["function"], "WARNING");
  errors.push(msg);
});

casper.start("http://127.0.0.1:8124/index.html", function() {
	this.waitUntilVisible('#Accueil', function() {
		this.echo('On clique sur le lien multijoueur');
		this.click('a[href="app:changerVue?vue=Profil"]');
		this.echo('On attend que la page profil s\'affiche');
		this.waitUntilVisible('#Profil', function() {
			this.echo('On ajoute un nom d\'utilisateur');
		  this.fill('#Profil form', { utilisateur: utilisateur }, false);
			this.echo('On attend la comparaison d\'image');
			this.waitWhileSelector('#Profil input[type="file"]:invalid', function() {
				this.echo('On envoie le formulaire');
				this.fill('#Profil form', {}, true);
			});
		});
	});
});

casper.then(function() {
	this.echo('On attend d\'être sur la liste des salons');
	this.waitUntilVisible('#Salons', function() {
		this.echo('On clique sur le premier dans la liste');
		this.click('#Salons a');
		this.echo('On attend d\'être sur le salon');
		this.waitUntilVisible('#Salons', function() {
			this.echo('On dit bonjour ;)');
	    this.fill('#Salons form', { message: 'Kikoolol !' }, false);
			this.echo('On attend indéfiniment la fin du jeu');
			this.waitUntilVisible('#Multi', function() {}, function() {}, Infinity);
		});
	});
});

casper.run(function() {
	this.echo('Et voilà');
});
