<?php
// Donnes des utilisateurs
// Ces donnes sont en gnrale stockes dans une 
// table "utilisateurs" d'une base de donnes
$users = array(
   353 => array(
      'nom' => 'Allain',
      'prenom' => 'Guillaume', 
      'dateNaissance' => '1984-10-17'
   ),
   361 => array(
      'nom' => 'Stubbs',
      'prenom' => 'Tim', 
      'dateNaissance' => '1985-09-24'
   )
);

// Vrifie que le paramtre idUser est dfini (isset)
// et que l'utilisateur existe dans le tableau $users
if (isset($_GET['idUser']) 
   && array_key_exists($_GET['idUser'], $users)) {
   
   // Rcupre les informations de l'utilisateur
   $idUser = $_GET['idUser'];
   $user   = $users[$idUser];
   
   // Calcule l'ge de l'utilisateur en utilisant 
   // sa date de naissance
   $age    = (time() - strtotime($user['dateNaissance'])) / 
      (60*60*24*365);
   
   printf('%s %s a %d ans', $user['prenom'], $user['nom'], 
      floor($age));

} else {
   echo 'L\'utilisateur n\'existe pas';
}
?>