﻿<?php
// Configuration: votre adresse email (destinataire)
$myEmail = 'webmaster@softastuces.com';

// Expression régulière pour tester une adresse email
$emailRegex = '/^[a-z0-9._-]+@[a-z0-9._-]+\.[a-z]{2,4}$/i';

// Test de la validité des informations du formulaire
if ( !preg_match($emailRegex, $_POST['mail']) ) {
   header('HTTP/1.0 400 Bad Request');
   exit('L\'adresse email n\'est pas valide.');

} else if ( empty($_POST['nom']) ) {
   header('HTTP/1.0 400 Bad Request');
   exit('Vous devez renseigner votre nom.');

} else if ( strlen( trim($_POST['sujet']) ) < 5 ) {
   header('HTTP/1.0 400 Bad Request');
   exit('Le sujet doit faire 5 caractères minimum.');

} else if ( strlen( trim($_POST['message']) ) < 10 ) {
   header('HTTP/1.0 400 Bad Request');
   exit('Le message doit faire 5 caractères minimum.');

// Les données sont valides: on peut envoyer l'email
} else {

   // Préparation de l'entête de l'email: l'expéditeur
   $header  = sprintf('From: %s <%s>', 
      $_POST['nom'], $_POST['mail']);

   // Envoie de l'email
   if (mail($myEmail, $_POST['sujet'], $_POST['message'], 
      $header) ) {
      
      // L'email a correctement été envoyé
      // La fonction .done() sera exécutée

   // L'envoie de l'email a echoué
   } else {
      header('HTTP/1.0 500 Internal Server Error');
      exit('Echec de l\'envoi de l\'email dû à une 
         erreur interne du serveur.');
   }
}
?>